# 20. Mutare: șterge „Farm”

Șterge „Ferma” selectată și toate datele legate de aceasta.

{% hint style="info" %}
Dacă „Ferma” a fost partajată de un alt utilizator, atunci operațiunea va șterge doar linkul. Toate datele sursă ale „Fermei” vor rămâne în siguranță.
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutatie DeleteFarm {
  deleteFarm(input: {
    uuid: "<placeholder_of_farm_uuid>"
  }) {
    uuid
    nume
    farmOwnership
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/ro/documentatia-api/prezentarea-generala-a-solicitarilor-api-geopard/20.-mutare-sterge-farm.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
